/* The Cantus project.
 * (c)2002, 2003 by Samuel Abels (spam debain org)
 * This project's homepage is: http://www.debain.org/cantus
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#ifndef FALSE
#define FALSE 0
#endif
#ifndef TRUE
#define TRUE 1
#endif

#ifndef CONDITIONS_H
#define CONDITIONS_H
#include "engine_fileinfo.h"

/* These conditions must remain in the same order as they have been added in Glade! */
/* Also, changing the value of a definition will cause configfile incompatibility. */
enum CONDITIONS {
  COND_ALWAYS               = 1,
  COND_SHELLPATTERN_MATCH   = 2,
  COND_REGEXP_MATCH         = 3,
  
  NUM_CONDITIONS
};

typedef short int (*CondFunc)(char *field, void *data1);

typedef struct {
  int                 type;
  char                descr[1024];
  unsigned short int  field;
  short int           data1type;
  void                *data1;
} Condition;
#endif

void condition_describe(Condition *cond, void *arg1);
short int cond_is_true(int type, FileInfo *info, int field, void *data1);
