/* The Cantus project.
 * (c)2002, 2003 by Samuel Abels (spam debain org)
 * This project's homepage is: http://www.debain.org/cantus
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#ifndef FileInfo_def
#define FileInfo_def

#include <glib.h>
#include "lib_mpgheader.h"
#include "lib_id3v1.h"

enum TAGTYPES {
  ID3,
  OGG
};

typedef struct {
  // Filesystem specific.
  char filename[2048];
  unsigned long filesize;
  char owner[512];
  char group[512];
  char mode[5];
  // Mp3 specific.
  MpgHeader *header;
  // Tags.
  int tag_type;
  Tag *tag[2];
  // Cantus internal.
  char status[256];
  char *summary;
  short int initialized;
  short int updated;
} FileInfo;
#endif

FileInfo *fileinfo_get(const char * path, short int initialize);
int fileinfo_read_1(const char *filename, FileInfo *info);
void fileinfo_destroy_all(void);
