/* The Cantus project.
 * (c)2002, 2003 by Samuel Abels (spam debain org)
 * This project's homepage is: http://www.debain.org/cantus
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <pthread.h>

#ifndef FALSE
#define FALSE 0
#endif
#ifndef TRUE
#define TRUE 1
#endif

typedef struct {
  const char      *file_pattern[100];   /* A list of filepatterns that we support. */
  short int       defaulttag_v2;        /* Bool: Is V2 default? */
  int             compat;               /* The configfile compatibility level. */
  int             use_unicode;          /* If this is TRUE tags will be saved using UTF-8, otherwise use ISO-8859-1. */
  short int       save_rulesets_on_exit;
  int             preview_tageditor;    /* Bool: Whether or not to show a preview before applying changes with the tageditor. */
  int             preview_file2tag;     /* Bool: Whether or not to show a preview before applying changes with the tageditor. */
  int             preview_masseditor;   /* Bool: Whether or not to show a preview before applying changes with the masseditor. */
} Cfg;

typedef struct {
  pthread_t       tid;                  /* Variable to hold the thread ID. */
  pthread_mutex_t mut;                  /* Mutex. */
  pthread_cond_t  cond;                 /* Conditional variable. */
  GHashTable      *queue;               /* The whole queue. */
  GList           *jobs;                /* A list of tasks that the program needs to work through. */
  GList           *previewlist;         /* A list of generated previews. */
  GList           *rulesetlist;         /* All rulesets are appended to this list. */
  int             progress;
  short int       shutdown;             /* This is to tell the engine thread to shut down. */
} Engine;

void engine_init(void);
void engine_destroy(void);
void engine_stop(void);
void engine_wakeup(void);
