/* The Cantus project.
 * (c)2002, 2003 by Samuel Abels (spam debain org)
 * This project's homepage is: http://www.debain.org/cantus
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#ifndef JOBS_H
#define JOBS_H
#include "engine_fileinfo.h"
#include "engine_ruleset.h"

typedef struct {
  FileInfo  *info;        /* Contains all file informations and tag fields
                           * as they currently *are*. */
  FileInfo  *destinfo;    /* The values of file informations and tag fields
                           * to which they should be changed to. */
  Ruleset   *ruleset;
  int       preview;
  int       generated;
  int       updated;
} Job;


typedef struct {
  Ruleset   *ruleset;
  int       preview;
} JobArg;

void job_append(FileInfo *info, JobArg *arg);
void job_proceed(Job *job);
void job_preview(Job *job);
void job_proceed_all(void);
void job_preview_clear(void);
void job_remove_from_preview(Job *job);
void job_previewlist_execute(void);

#endif
