/* The Cantus project.
 * (c)2002, 2003 by Samuel Abels (spam debain org)
 * This project's homepage is: http://www.debain.org/cantus
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <glade/glade.h>
#include "gui_tageditor.h"
#include "gui_file2tag.h"
#include "gui_masseditor.h"
#include "gui_ruleeditor.h"
#include "gui_addfiles.h"
#include "gui_preview.h"

#define GUI_UPDATE_INTERVAL 800
#define PROGRESS_UPDATE_INTERVAL 50

typedef struct {
  /* Mainwindow. */
  GtkListStore    *queue;
  GladeXML        *mainwindow_xml;
  GtkWidget       *mainwindow;
  GtkProgressBar  *progressbar;
  Tageditor       tageditor;
  File2Tag        file2tag;
  Masseditor      masseditor;
  
  /* "Add Files" dialog. */
  AddFiles        addfiles;
  
  /* Genre selector. */
  GladeXML        *genre_xml;
  GtkWidget       *genre;
  GtkTreeStore    *genre_store;
  
  /* Ruleeditor. */
  Ruleeditor      ruleeditor;
  
  /* Preferences. */
  GladeXML        *preferences_xml;
  GtkWidget       *preferences;
  
  /* Preview window. */
  Preview         *preview;
  
  /* Options... */
  short int       showhidden;
  short int       working;
  gchar           defaultdir[2048];
} GUI;

void gui_init(void);
void gui_destroy(void);
