/* The Cantus project.
 * (c)2002, 2003 by Samuel Abels (spam debain org)
 * This project's homepage is: http://www.debain.org/cantus
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <gtk/gtk.h>
#include <glade/glade.h>
#include <stdio.h>
#include "gui_progress.h"
#include "gui_init.h"
#include "engine_init.h"

extern GUI gui;
extern Engine engine;


/***************************************************************************************
 * STATICS
 ***************************************************************************************/
/***************************************************************************************
 * END STATICS
 ***************************************************************************************/


void gui_progress_init(void)
{
  gui.progressbar = GTK_PROGRESS_BAR(glade_xml_get_widget(gui.mainwindow_xml, "progressbar"));
}


/*
 * Update the GUI progressbar.
 */
void gui_progress_update(GtkProgressBar *progressbar)
{
  if (gui.working) {
    gtk_progress_bar_pulse(progressbar);
    return;
  }
  
  if (engine.progress >= 0) {
    gchar text[20];
    snprintf(text, 19, "%i%%", engine.progress);
    gtk_progress_bar_set_fraction(progressbar, (gdouble)engine.progress / 100);
    gtk_progress_bar_set_text(progressbar, text);
    return;
  }
  
  gtk_progress_bar_set_text(progressbar, "");
  gtk_progress_bar_set_fraction(progressbar, 0);
}
