/* The Cantus project.
 * (c)2002, 2003 by Samuel Abels (spam debain org)
 * This project's homepage is: http://www.debain.org/cantus
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#ifndef HAVE_RULEEDITOR_H
#define HAVE_RULEEDITOR_H
#include "engine_ruleset.h"

typedef struct {
  GladeXML      *ruleeditor_xml;
  GtkWidget     *ruleeditor;
  gchar         *rulesetname;
  Ruleset       *curruleset;
  Ruleset       *editingruleset;
  
  /* Conditions. */
  short int     cond_type;
  const gchar   *cond_text;
  short int     cond_field;
  
  /* Pointers to the current value of the rule widgets. */
  /* Flags. */
  gboolean      strip_multiple_spaces;
  gboolean      remove_leading_spaces;
  gboolean      remove_trailing_spaces;
  gboolean      remove_before_number;
  
  /* Capitol Letters. */
  gboolean      uppercase;
  gboolean      uppercase_word;
  gboolean      uppercase_first_word;
  gboolean      lowercase;
  
  /* Static. */
  gboolean      set;
  const gchar   *set_to;
  
  /* Modifiers. */
  gboolean      replace;
  const gchar   *replace_from;
  const gchar   *replace_to;
  
  gboolean      replace_ci;
  const gchar   *replace_ci_from;
  const gchar   *replace_ci_to;
  
  /* Buffer Operations. */
  gboolean      buffer_grab;
  const gchar   *buffer_grab_format;
  gboolean      buffer_copy_to;
  
  /* Destinations. */
  gboolean      dest_artist;
  gboolean      dest_song;
  gboolean      dest_album;
  gboolean      dest_track;
  gboolean      dest_year;
  gboolean      dest_genre;
  gboolean      dest_comment;
  gboolean      dest_filename;
} Ruleeditor;
#endif

void gui_ruleeditor_init(Ruleset *ruleset, Ruleset *oldruleset);
void gui_ruleeditor_destroy(void);
void gui_ruleeditor_rule_add(Ruleset *ruleset);
